
<p>Zaštita paritetnim bitom spada u najjednostavnije kodove za otkrivanje pogrešaka. Ideja koda je jednostavna: <i>k</i>-bitnoj podatkovnoj riječi nadodaje se jedan paritetni bit (dakle, <i>r=1</i>) koji, ovisno o željenom dogovoru, osigurava da je u <i>n</i>-bitovnom binarnom uzorku koji se šalje (sada <i>n=k+r=k+1</i>) ukupni broj bitova koji su postavljeni u vrijednost <code>1</code> paran (ako se govori o zaštiti uz paran paritet) odnosno neparan (ako se govori o zaštiti uz neparan paritet). Koji se oblik zaštite koristi (paran ili neparan paritet) mora unaprijed biti dogovoreno između predajnika i prijemnika.</p>

<div class="mlExample">
<div class="mlExampleQ"><span class="mlExampleKey">Primjer. </span><span class="mlExampleText">Podatak <code>10101</code> štiti se paritetnim bitom <em>uz parni paritet</em>. Kako izgleda zaštićena kodna riječ koja se šalje?</span></div>
<div class="mlExampleA">
Pretpostavimo da se paritetni bit šalje kao posljednji. Uz zadane podatkovne bitove, zaštićena kodna riječ bit će oblika <code>10101X</code> gdje je <code>X</code> vrijednost paritetnog bita. Broj podatkovnih bitova je <i>k</i>=5, a broj zaštitnih bitova je <i>r</i>=1. Ukupni broj bitova je <i>n=k+r=5+1=6</i>. Kako u pet podatkovnih bitova imamo 3 bita postavljena u <code>1</code>, a želimo da je broj bitova koji su postavljeni u <code>1</code> paran, vrijednost paritetnog bita koji dodajemo također moramo postaviti na <code>1</code> kako bismo ukupno imali četiri bita čija je vrijednost <code>1</code>. Dakle, <code>X=1</code>, odnosno zaštićena kodna riječ glasi <code>101011</code>.
</div>
</div>

<div class="mlNote">
<p>U Booleovoj algebri, binarna (tj. nad dva operanda) operacija ISKLJUČIVO-ILI (kraće: XOR, od engleskog <i>exclusive-or</i>) daje vrijednost <code>1</code> ako su joj operandi različiti. Operacija XOR izravno se koristi za izračun paritetnog bita kada štitimo uz paran paritet. Pogledajmo to na prethodnom primjeru: XOR ćemo računati između svih podatkovnih bitova.</p>
<pre>(((1 XOR 0) XOR 1) XOR 0) XOR 1
  = ((1 XOR 1) XOR 0) XOR 1
  = (0 XOR 0) XOR 1
  = 0 XOR 1
  = 1</pre>
</div>

<p>Pretpostavimo da predajnik i prijemnik razmjenjuju dvobitne podatkovne poruke. Kao zaštitu koriste zaštitu paritetnim bitom uz neparni paritet. Kako izgledaju sve zaštićene kodne riječi? Uz pretpostavku da se paritetni bit šalje posljednji, tablica u nastavku prikazuje čitav kod.</p>

<table class="mlTableCC">
<thead>
<tr><th>Podatkovna riječ</th><th>Zaštićena kodna riječ</th></tr>
</thead>
<tbody>
<tr><td><code>00</code></td><td><code>001</code></td></tr>
<tr><td><code>01</code></td><td><code>010</code></td></tr>
<tr><td><code>10</code></td><td><code>100</code></td></tr>
<tr><td><code>11</code></td><td><code>111</code></td></tr>
</tbody>
</table>

<p>Opisano kodiranje možemo prikazati i grafički, kako je učinjeno na slici u nastavku.</p>

<figure style="text-align: center;">
<img src="@#file#(kodiranje2-hr.svg)" alt="Zaštita paritetnim bitom uz neparni paritet." border="0">
<figcaption>Zaštita paritetnim bitom uz neparni paritet. Paritetni bit je dodan na kraj (najdesniji bit u zaštićenoj kodnoj riječi).</figcaption>
</figure>

<p>Kolika je distanca ovakvog kodiranja? Sve kodne riječi nanizane su u gornjoj tablici za ovaj konkretan primjer. Uvjerite se da je minimalna distanca ovakvog koda jednaka 2. Stoga ovaj kod može otkriti sve jednostruke pogreške (što je logično: ako se jedan bit okrene, paritet više neće štimati i bit ćemo svjesni da nešto nije u redu) i ne može ispraviti niti jednu.</p>

